// 実行中のアプリIDを取得
const appId = kintone.app.getId();
// 取得条件:実行中のアプリのレコード番号2
const params = {
  app: appId,
  id: 2
};
// レコードを取得してJSON形式で表示
try {
  const resp = await kintone.api(
    // APIのURL
    kintone.api.url('/k/v1/record', true),
    // GETメソッド
    'GET',
    // 取得条件のパラメータ
    params);
  // success:レスポンスをJSON形式でインデントして表示する
  console.log(JSON.stringify(resp['record'], undefined, 1));
} catch (error) {
  // error:エラーの場合はメッセージを表示する
  let errmsg = 'レコード取得時にエラーが発生しました。';
  // レスポンスにエラーメッセージが含まれる場合はメッセージを表示する
  if (resp.message !== undefined) {
    errmsg += '\n' + resp.message;
  }
  alert(errmsg);
}
