(() => {
  'use strict';

  // =============================================
  // レコード更新
  // =============================================
  kintone.events.on('app.record.edit.submit', async (event) => {
    const record = event.record;

    // パラメータ配列
    const params = {
      app: 8,
      id: record.$id.value,
      record: {
        項目x: {value: record['項目a'].value},
        項目y: {value: record['項目b'].value},
        項目z: {value: record['項目c'].value},
      },
    };

    try {
      await kintone.api(kintone.api.url('/k/v1/record', true), 'PUT', params);
      // 成功時
      return event;
    } catch (error) {
      // エラー時
      if (error.message !== undefined) {
        console.log(error.message);
      }
      event.error = 'エラーが発生しました！';
      return event;
    }
  });
})();
