(() => {
  'use strict';

  // =============================================
  // レコード削除
  // =============================================
  const eventName = [
    'app.record.detail.delete.submit',
    'app.record.index.delete.submit',
  ];
  kintone.events.on(eventName, async (event) => {
    const record = event.record;

    // パラメータ配列
    const params = {
      app: 8,
      ids: [record.$id.value],
    };

    try {
      await kintone.api(kintone.api.url('/k/v1/records', true), 'DELETE', params);
      // 成功時
      return event;
    } catch (error) {
      // エラー時
      if (error.message !== undefined) {
        console.log(error.message);
      }
      event.error = 'エラーが発生しました！';
      return event;
    }
  });
})();
