(() => {
  'use strict';

  // =============================================
  // 表示後イベント
  // 住所が「東京都」レコード取得
  // =============================================
  kintone.events.on('app.record.index.show', async (event) => {
    // アプリID
    const appId = kintone.app.getId();
    // 取得条件:住所が「東京都」
    // パラメータ配列
    const params = {
      app: appId,
      fields: ['会社名', '住所'],
      query: '住所 like "東京都"',
    };
    // レコードを取得してJSON形式で表示
    try {
      const resp = await kintone.api(kintone.api.url('/k/v1/records', true), 'GET', params);
      // 成功時
      console.log('===== 住所が「東京都」 ================= >>> ');
      console.log(JSON.stringify(resp.records));
      return event;
    } catch (error) {
      // error:エラーの場合はメッセージを表示する
      let errmsg = 'レコード取得時にエラーが発生しました。';
      // レスポンスにエラーメッセージが含まれる場合はメッセージを表示する
      if (error.message !== undefined) {
        errmsg += '\n' + error.message;
      }
      alert(errmsg);
      return event;
    }
  });
})();
