(() => {
  'use strict';

  // 入力画面系表示イベント
  const eventName = ['app.record.detail.show', 'app.record.edit.show'];
  kintone.events.on(eventName, async (event) => {
    const record = event.record;
    // 抽出条件
    const queryString = '会社名 = "' + record['会社名'].value + '"';
    // ソート条件
    const orderString = 'order by 担当者氏名 asc';
    // 取得項目
    const fields = ['担当者氏名', '直通電話番号', 'FAX番号'];
    // パラメータ
    const param = {
      app: 97, // 「5章担当者」アプリのアプリID
      query: queryString + ' ' + orderString, // 検索条件
      fields: fields,
    };

    const resp = await kintone.api(kintone.api.url('/k/v1/records', true), 'GET', param);
    alert(JSON.stringify(resp.records));
    return event;
  });
})();
