(() => {
  'use strict';

  kintone.events.on('app.record.index.show', async (event) => {
    if (event.viewName !== 'devフィールドリスト') {
      // 「devフィールドリスト」以外の一覧の時は何もしない
      return;
    }
    const params = {
      app: kintone.app.getId()
    };
    const tbody = document.getElementById('confirm-field-code');

    const resp = await kintone.api(kintone.api.url('/k/v1/form', true), 'GET', params);

    console.log(resp);
    const fields = resp.properties;
    for (let i = 0; i < fields.length; i++) {
      if (fields[i].type === 'LABEL') {
        // ラベルフィールドは表示しない
        continue;
      }
      const tr = document.createElement('tr');

      // フィールド名
      const tdName = document.createElement('td');
      tr.appendChild(tdName);

      const div1Name = document.createElement('div');
      div1Name.className = 'kintoneplugin-table-td-control';
      tdName.appendChild(div1Name);

      const div2Name = document.createElement('div');
      div2Name.innerText = fields[i].label;
      div2Name.style.fontSize = '14px';
      div2Name.className = 'kintoneplugin-table-td-control-value';
      div1Name.appendChild(div2Name);

      // フィールドコード
      const tdCode = document.createElement('td');
      tr.appendChild(tdCode);

      const div1Code = document.createElement('div');
      div1Code.className = 'kintoneplugin-table-td-control';
      tdCode.appendChild(div1Code);

      const div2Code = document.createElement('div');
      div2Code.innerText = fields[i].code;
      div2Code.style.fontSize = '14px';
      div2Code.className = 'kintoneplugin-table-td-control-value';
      div1Code.appendChild(div2Code);

      // フィールドタイプ
      const tdType = document.createElement('td');
      tr.appendChild(tdType);

      const div1Type = document.createElement('div');
      div1Type.className = 'kintoneplugin-table-td-control';
      tdType.appendChild(div1Type);

      const div2Type = document.createElement('div');
      div2Type.innerText = fields[i].type;
      div2Type.style.fontSize = '14px';
      div2Type.className = 'kintoneplugin-table-td-control-value';
      div1Type.appendChild(div2Type);

      tbody.appendChild(tr);
    }
  });
})();
